<template>
  <section>
    <b-field label="Indirizzo destinatatio">
      <b-input v-model="toAddress"></b-input>
    </b-field>
    <b-field label="Valore">
      <b-input type="number" step="0.0001" v-model="amount"></b-input>
    </b-field>
     <b-button @click="sendETH()">Invia</b-button>
    <p v-if="this.done">Fatto</p>
  </section>
</template>

<script>
import { ethers } from 'ethers'

export default {
  name: 'HomePage',

  layout: 'none',

  data() {
    return {
      //address: 'ok',
      done: false,
      isLoading: false,
      toAddress: '',
      amount: null,
    }
  },

  methods: {
    sendETH: async function() {
      const provider = new ethers.providers.Web3Provider(window.web3.currentProvider)
      await ethereum.enable()
      const signer = provider.getSigner()
      const tx = {
          to: this.toAddress,
          value: ethers.utils.parseEther(this.amount)
      }
      const sendTx = await signer.sendTransaction(tx)
      const loadingComponent = this.$buefy.loading.open()
      await sendTx.wait()
      loadingComponent.close()
      this.done = true
    },
  }
}
</script>
